---
no_breadcrumbs: true
no_toc: true
---
{% include header.md %}

Random collection of config notes and miscellaneous stuff. _Technically not a wiki._

## Configuration

### General

- [General](/config/general/general/)
- [Linux General](/config/general/linux-general/)
- [Computer Testing](/config/general/computer-testing/)

### Authentication, Authorization and Accounting (AAA)

- [Kerberos](/config/aaa/kerberos/)

### Automation

- [Ansible](/config/automation/ansible/)
- [Puppet](/config/automation/puppet/)

### Cloud

- [Azure](/config/cloud/azure/)
- [AWS](/config/cloud/aws/)

### Computers

- [Dell OptiPlex Series](/config/computers/dell-optiplex/)
- [Dell PowerEdge Series](/config/computers/dell-poweredge/)
- [HP ProLiant](/config/computers/hp-proliant/)
- [PCs](/config/computers/pcs/)

### Game Servers

- [Counter-Strike: Global Offensive (CS:GO)](/config/game-server/csgo/)
- [Minecraft (Bukkit)](/config/game-server/minecraft-bukkit/)
- [Team Fortress 2 (TF2)](/config/game-server/tf2/)

### HPC

- [Slurm Workload Manager](/config/hpc/slurm/)
- [Containers](/config/hpc/containers/)
- [Singularity](/config/hpc/singularity/)
- [HIP](/config/hpc/hip/)
- [ROCm](/config/hpc/rocm/)
- [CUDA](/config/hpc/cuda/)
- [Open MPI](/config/hpc/openmpi/)
- [Interconnects](/config/hpc/interconnects/)

### IoT & Home Automation

- [Raspberry Pi](/config/iot-ha/raspberry-pi/)
- [Home Assistant](/config/iot-ha/home-assistant/)

### Linux Server

- [Debian Server](/config/linux-server/debian/)
- [Applications](/config/linux-server/applications/)
- [Storage](/config/linux-server/storage/)
- [Storage: ZFS](/config/linux-server/storage-zfs/)
- [Storage: Ceph](/config/linux-server/storage-ceph/)

### Media

- [General](/config/media/general/)
- [Video Processing](/config/media/video-processing/)
- [Video Ripping](/config/media/video-ripping/)
- [Video Streaming](/config/media/video-streaming/)
- [FFmpeg](/config/media/ffmpeg/)
- [Video4Linux 2 (V4L2)](/config/media/v4l2/)
- [VLC](/config/media/vlc/)
- [youtube-dl](/config/media/youtube-dl/)

### Monitoring

- [Grafana](/config/monitoring/grafana/)
- [Prometheus](/config/monitoring/prometheus/)
- [Grafana Loki](/config/monitoring/loki/)

### Network

#### General

- [General](/config/network/general/)
- [Routing](/config/network/routing/)
- [Switching](/config/network/switching/)
- [WLAN](/config/network/wlan/)
- [Security](/config/network/security/)

#### Specific

- [Brocade FastIron Switches](/config/network/brocade-fastiron-switches/)
- [Cisco Hardware](/config/network/cisco-hardware/)
- [Cisco IOS General](/config/network/cisco-ios-general/)
- [Cisco IOS Routers](/config/network/cisco-ios-routers/)
- [Cisco IOS Switches](/config/network/cisco-ios-switches/)
- [FS FSOS Switches](/config/network/fs-fsos-switches/)
- [Juniper Hardware](/config/network/juniper-hardware/)
- [Juniper Junos General](/config/network/juniper-junos-general/)
- [Juniper Junos Switches](/config/network/juniper-junos-switches/)
- [Linksys LGS Switches](/config/network/linksys-lgs/)
- [Linux Switching & Routing](/config/network/linux/)
- [pfSense](/config/network/pfsense/)
- [TP-Link JetStream Switches](/config/network/tplink-jetstream-switches/)
- [Ubiquiti UniFi Controllers](/config/network/ubiquiti-unifi-controllers/)
- [Uniquiti UniFi Access Points](/config/network/ubiquiti-unifi-aps/)
- [VyOS](/config/network/vyos/)

### PC

- [Arch (i3)](/config/pc/arch-i3/)
- [Kubuntu](/config/pc/kubuntu/)
- [Manjaro (KDE)](/config/pc/manjaro-kde/)
- [Windows](/config/pc/windows/)
- [Applications](/config/pc/applications/)

### Power

- [APC PDUs](/config/power/apc-pdus/)

### Virtualization & Containerization

- [Docker](/config/virt-cont/docker/)
- [Podman](/config/virt-cont/podman/)
- [Kubernetes](/config/virt-cont/k8s/)
- [libvirt & KVM](/config/virt-cont/libvirt-kvm/)
- [Proxmox VE](/config/virt-cont/proxmox-ve/)

## Information Technology

### Network

- [IPv4 Theory](/it/network/ipv4/)
- [IPv6 Theory](/it/network/ipv6/)
- [Network Architecture](/it/network/architecture/)
- [Routing Theory](/it/network/routing/)
- [BGP](/it/network/bgp/)
- [Switching Theory](/it/network/switching/)
- [Wireless Basics](/it/network/wireless-basics/)
- [WLAN Theory](/it/network/wlan/)

### Services

- [Email](/it/services/email/)
- [DNS](/it/services/dns/)

## Media

### Audio

- [Audio Basics](/media/audio/basics/)

### Lighting

- [DMX512](/media/lighting/dmx/)

## Software Engineering

### General

- [Database Management Systems (DBMSes)](/se/general/dbmses/)
- [Software Licensing](/se/general/licensing/)
- [Web Security](/se/general/security/)

### Languages & Frameworks

- [CUDA](/se/lang/cuda/)
- [Go](/se/lang/go/)

## Guides

### Mining

- [Headless Linux ETH Mining](/guides/mining/headless-linux-eth-mining/)

### Network

- [Juniper EX3300 Fan Mod](/guides/network/juniper-ex3300-fanmod/)

## Miscellanea

- [Betzy (Supercomputer)](/misc/betzy/)
- [Vilje (Supercomputer)](/misc/vilje/)

{% include footer.md %}
