---
title: Audio Basics
breadcrumbs:
- title: Media
- title: Audio
---
{% include header.md %}

- Bands:
    - Lows (ca. 20Hz-100Hz)
    - Low midrange (ca. 100Hz-1kHz)
    - High midrange (ca. 1kHz-10kHz)
    - Highs (ca. 10kHz-20kHz)
- Signal levels:
    - (Note) This is the voltage (and somewhat impedance) inside cables/equipment.
    - Mic level: Output from a microphone. Very weak, requires a preamp.
    - Instrument level: Output from e.g. a guitar. Like mic level but slightly stronger.
    - Line level (+4dBu): Professional equipment.
    - Line level (-10dBV): Consumer equipment. Lower than +4dBu. Not to be confused with dB**v**.
    - Speaker level: High-power signal going from an amplifier to a (passive) speaker.
    - Phono: Old, for turntables etc. Much lower voltage than line level. Typically needs a phono preamp/stage with RIAA equalization.
- Balance mode:
    - Unbalanced: Ground and signal.
    - Balanced: Ground and hot and cold signal with equal impedance. The cold signal is 0V but not (directly) connected to ground.
    - Differential: Balanced but the cold signal is the opposite voltage of the hot signal instead of 0V.
    - Balanced and unbalanced mono plugs/sockets can generally be connected together (with the loss of the balanced signal), but don't connect e.g. a stereo unbalanced TRS to a mono balanced TRS. It'll sound weird due to the signal mismatch.
- Ground loops:
    - When there exists physical loop in the ground wires. Typically when devices are connected to different grounded power outlets.
    - Different potentials in the loop will cause undesired current flow.
    - Can be heard as a 50Hz/60Hz hum in the audio signal.
    - Solutions:
        - Use balanced signals.
        - Connect all equipment to a single grounding point, i.e. a single power outlet.
        - Break the shielding on one cable to break the loop. Different boxes, like DI units, may have this as a feature known as a ground lift. However, make sure all shields are connected at one end (don't lift everything). Don't break the shielding/earthing on devices that needs it for safety reasons!
        - Use a ground loop isolation transformer.
        - Group the ground cables together so no currents get induced into the cables.
        - Use a resistor and/or a ferrite bead to limit AC current.
- Phantom power: Applies 48V to XLR3 (or similar) inputs, for powering mics and similar. Applying this to devices which aren't made for it can break them.
- Impedance: Basically resistance but for AC.
- Proximity effect: Increase of low frequency response when a audio source is close to a directional or cardioid microphone.

{% include footer.md %}
